Script: *print-image.ps1*
========================

This PowerShell script shows the printer dialogue to print the given image file.

Parameters
----------
```powershell
PS> ./print-image.ps1 [[-Path] <Object>] [<CommonParameters>]

-Path <Object>
    Specifies the path to the image file
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./print-image dog.jpg

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Prints an image
.DESCRIPTION
	This PowerShell script shows the printer dialogue to print the given image file.
.PARAMETER Path
	Specifies the path to the image file
.EXAMPLE
	PS> ./print-image dog.jpg
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param($Path = "")

try {
	if ("$Path" -eq "") {
		$Path = Read-Host "Enter path to the image file"
	}
	Start-Process -filepath $Path -verb print
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of print-image.ps1 as of 08/15/2024 09:50:53)*
